<?php
	require_once("plugins/tuidd/libs/tuidd_lib/client/TuiddClient.php");
	require_once("plugins/tuidd/libs/tuidd_lib/client/TuiddServicesClient.php");
echo '<html><head><title>Test Services</title>';
?>
<style>
h2 a {
	margin-left:2em;
	font-size: 0.75em;
}

label{
    display: inline-block;
    float: left;
    clear: left;
    width: 250px;
    text-align: right;
}
input {
  display: inline-block;
  float: left;
  width: 30em;
}
input.btn-submit {
	display: block;
	margin-left: 250px;
	margin-top:1em;
	width: 15em;
}
input.radio-display {
	display: inline-block;
	float: left;
	width: 5em;
}
</style>
<?php
echo '</head><body> ';
$sess_ = TuiddClient::blockStart('sdk-session');
	$t = TuiddClient::getSingleton();
	$t->setState("dummy_state");
	$t->setNonce("dummy_nonce");
	
	$loggedIn = TuiddClient::getSingleton()->isLoggedIn($sess_);
	// $loggedIn = true;

	if ($loggedIn) 
	{
		$status = 'LOGGED IN';
	}
	else
	{
		$status = 'NOT LOGGED IN';
	}

	// echo '<h3 ">USER '. $status .'</h3>';
	
	// print user information...
	$userInfo = TuiddClient::getSingleton()->getUserInfo();
	echo '<h2 ">Welcome <i>'. $userInfo['name'] .'</i><a href="logout.php">Salir</a></h2>';

	// echo '<div class="user-namesub"> Your PCR: ';
	// echo $userInfo['sub'];
	// echo '</div>';
	if ($userInfo['sub']) 
	{
		// echo '<div class="user-namesub"> You have PCR!';
		echo '<script>console.log("PCR: '.$userInfo['sub'].'")</script>';
	}
	else
	{
		echo '<div class="user-namesub"> Sorry! You don\'t have PCR!';
	}

	// echo '<div class="user-name-cls"> Hello ';
	// echo $userInfo['name'];
	// echo '</div>';
	echo '<br />';
	echo '<div class="service-block" >';
		echo '<h3> Survey Service</h3>';
		echo '<form method="post" action="admin.php">';
		echo '<label>Survey Token:</label><input type="text" disabled value="'.$t->getSurveyServiceToken()->token.'">';
		echo '<br />';
		echo '<label>Survey ID:</label><input type="text" id="service_id" name="service_id">';
		echo '<input type="submit" class="btn btn-info btn-submit" value="Submit">';
		echo '</form>';
    echo '</div>';
    echo '<br />';

$currentValue = ( isset($_POST['publicidad_id']) && !empty($_POST['publicidad_id']) )
    ? $_POST['publicidad_id'] 
    : 'any' ;
	echo '<div class="service-block" >';
		echo '<h3> Advertising Service</h3>';
		echo '<form method="post" action="admin.php">';
	    	echo '<label>Advertising Token:</label><input type="text" disabled value="'.$t->getAdvertisingServiceToken()->token.'" >';
	    	echo '<br />';
			echo '<label>Advertising Id:</label><input type="text" name="publicidad_id" value="'.$currentValue.'">';
			echo '<br />';
			echo '<label>Url Redirect:</label><input type="radio" name="display" value="url_redirect"><br/>';
			echo '<label>Push:</label><input type="radio" name="display" value=push" checked="checked">';
			echo '<br />';
			echo '<input type="submit" class="btn btn-info btn-submit" value="Submit">';
		echo '</form>';
	echo '</div>';
    echo '<br />';



	if(isset($_POST['service_id']) && !empty($_POST['service_id']))
	{
		echo '<div class="service-block" >';
        echo '<h3> Survey Service Result</h3>';
		$sc = TuiddServicesClient::getSingleton();

		$userInfo = TuiddClient::getSingleton()->getUserInfo();
        $token = TuiddClient::getSingleton()->getSurveyServiceToken()->token;
        $authInfo = array(
            'service_token' => $token,
            'login_hint' => 'PCR:'. $userInfo['sub'],
        );

		$service_id=$_POST['service_id'];
        $serviceResult = $sc->sendSurvey( $service_id, $authInfo, array('display' => 'push') );
		echo 'Result: '.json_encode($serviceResult);
		
		if ( $serviceResult['response']['url_redirect'] )
		{
		    echo '<a href="'. $serviceResult['response']['url_redirect'] .'">Ver Encuesta</a>';
		}
		echo '</div>';
	}

	if(isset($_POST['publicidad_id']) && !empty($_POST['publicidad_id']))
        {
        	echo '<div class="service-block" >';
			echo '<h3> Advertising Service Result</h3>';
                $sc = TuiddServicesClient::getSingleton();
                //$authInfo = array(
                //        'service_token' => $t->getAdvertisementServiceToken()->token,
                //        'login_hint' => 'PCR:dsafw1q321590128yoaf',
                //);
                
		$userInfo = TuiddClient::getSingleton()->getUserInfo();
	        $token = TuiddClient::getSingleton()->getAdvertisingServiceToken()->token;
        	$authInfo = array(
                	'service_token' => $token,
	                'login_hint' => 'PCR:'. $userInfo['sub'],
	        );

		$service_id=$_POST['publicidad_id'];
		$display = 'url_redirect';
		//$display = 'push';
		//if(isset($_POST['display']))
		//	$display = $_POST['display'];
		$redirect_link='http://sitios.mcg.sendatel.com:15224/store/cdag3.php?msisdn=541137030664&site=movistar&clave=store&forzar_inicio=true';
		$extraParams = array( 'display' => $display );

	var_dump($service_id);
	if ($service_id == 'any')
	{
		$serviceResult = $sc->sendAdvertisement( NULL, $authInfo, $extraParams );		
	}
	else 
	{        
		$source = 'service_id';
	        $serviceResult = $sc->sendAdvertisement( $service_id, $authInfo, null, null, null, null, $redirect_link, $source, $extraParams );
	}        
	echo 'Result: '.json_encode($serviceResult);

 		if ( $serviceResult['response']['url_redirect'] )
        {       
            echo '<a href="'. $serviceResult['response']['url_redirect'] .'">Ver Publicidad</a>';
            echo '
            <script> 
            		newwindow = window.open("'. $serviceResult['response']['url_redirect'] .'","Advertising","height=700,width=420");
            	   if (window.focus) {newwindow.focus()}
            </script>';
	    header( 'Location: '. $serviceResult['response']['url_redirect'] );
        	
        }

	    echo '</div>';
    }
    echo '<br />';

    echo '</body> </html>';
TuiddClient::blockEnd($sess_);
?>
