<?php

/****************************************************************************

	Copyright (C) 2017-2020  Sendatel S.A.

	This file is part of TUIDD PHP SDK.
	TUIDD PHP SDK is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	TUIDD PHP SDK is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with TUIDD PHP SDK.  If not, see <http://www.gnu.org/licenses/>.

/****************************************************************************/
	
require_once('/tuidd/libs/tuidd_lib/client/TuiddNotificationHandler.php');

session_name('sdk-session');
session_start();

$jsonRequest = file_get_contents( 'php://input' );
// Cargamos el json en la variable como array
$request = (array)json_decode($jsonRequest);

if(!empty($request))
{
	TuiddNotificationHandler::getSingleton()->processNotification( $request );
}

?>
